package f2;

/**
 * Important scopes: Class and method
 *
 * @author hajo
 *
 */
public class Scope {

    // Class scope
    private static int i = 1;
    private static int j = 2;

    public static void main(String[] args) {
        doIt();
        doOther(5);
        doYetOther();
    }

    public static void doIt() {
        // Method scope 
        int i = 3;
        int j = 4;
        System.out.println(i + " : " + j);
    }

    public static void doOther(int i) {
        // Method scope
        int k = j;  // Can't use anywhere else
        i++;
        System.out.println(i + " : " + k);
    }

    public static void doYetOther() {
        System.out.println(i + " : " + j);
    }
}
